Skip to main content

Questions tagged [upgrade]

Questions related to civicrm upgrades or updates

Filter by
Sorted by
Tagged with
17 votes
7 answers
3k views

How to find and/or fix missing indices?

After upgrading to 4.7.19, I'm now getting a warning: You have missing indices on some tables. This may cause poor performance. How can I find which indices are missing and then, how can I create ...
Logan Bear's user avatar
6 votes
7 answers
2k views

Status page angular load error

I've just upgraded a test site from 4.7.15 to 4.7.21 on Drupal before going live. The System Status page isn't showing as expected and the console has this log: GET failed for ..../sites/mysite/...
chriscant's user avatar
  • 382
5 votes
2 answers
721 views

Problem fixing missing indexes after upgrade to 4.7

When I run cv ev 'print_r(CRM_Core_BAO_SchemaHandler::getMissingIndices())' I get the following output: Array ( [civicrm_case_contact] => Array ( [0] => Array ...
Joe Murray's user avatar
  • 6,741
4 votes
1 answer
113 views

CiviDiscount Navigation URL incorrect

After upgrading to 4.7.0 on Drupal 7.50, the link to the CiviDiscount administration in the CiviCRM navigation menu is incorrect (cividiscount_reset_1); see screenshot below. I have attempted to edit ...
Christia's user avatar
  • 2,457
2 votes
4 answers
614 views

Issues with running Joomla 3.8 and Civi

I am not looking to be first on this - just wanted to see if anyone is running J3.8 and current release of Civi.
Josh Mailman's user avatar
15 votes
5 answers
3k views

Is it easy to upgrade CiviCRM using drush?

The standard upgrade process for CiviCRM is quite a complex process according to the instructions in the wiki. Is it easier to use drush to upgrade CiviCRM? If so, how do you do this? I couldn't ...
William Mortada's user avatar
5 votes
2 answers
662 views

How do I update CiviCRM following a security update?

I am getting a warning to update security. It says: New security release 4.7.9 is available. The site is currently running 4.7.3. How do I update it? Thanks. Melissa Brooklyn Commons ...
Melissa Ennen's user avatar
4 votes
3 answers
327 views

Update to 5.29.0 get frozen

When updating civicrm/civicrm-core (5.28.3 => 5.29.0), the process get frozen while [Executed: Upgrade DB to 5.29.alpha1: Fill civicrm_relationship_cache (1 => 5000)] After reinstallation of a ...
Ichi's user avatar
  • 553
6 votes
1 answer
228 views

Database Error When Upgrading 4.6 to 4.7 on Drupal 7

I was running a 4.6 instance of CiviCRM and am attempting to upgrade to 4.7. Every time I initiate an upgrade, things work well until it reaches 4.7alpha stage of the upgrade. Then I get an error that ...
William S Burnett's user avatar
5 votes
2 answers
158 views

When upgrading from 4.7.7 to 4.7.8 I get error "Specified key was too long"

I tried to upgrade my Joomla CiviCRM 4.7.7 to 4.7.8 and got the following error in the database upgrade: ALTER TABLE `civicrm_contact` CHANGE `image_URL` `image_URL` VARCHAR(512) CHARACTER SET utf8 ...
thoni56's user avatar
  • 1,241
2 votes
2 answers
608 views

CiviCRM core now includes Flexmailer: how to remove old flexmailer extension?

I have Flexmailer 1.1.1 installed as a "non-core" extension , but since upgrading to 5.35.1 Flexmailer 1.1.2 is included with core. (This probably came in before 5.35.) The extensions page ...
artfulrobot's user avatar
  • 3,932
2 votes
1 answer
94 views

Upgrade to CiviCRM 4.3 failing on DROP FOREIGN KEY

I have successfully upgraded many other CiviCRM installations over the years, but I've been unable to work my way through this issue so far. Ubuntu 14.04 MySQL 5.7.23 Apache/2.4.7 PHP Version 5.6....
RowboTony's user avatar
1 vote
2 answers
138 views

problems with upgrade on multilingual site (in this case 4.7.31 to 5.3.1)

When upgrading a multilingual site, after the database upgrade ran the site would not correctly load the status page (or any page that loads via javascript), for one example, the url used in the html ...
ericG's user avatar
  • 600
6 votes
2 answers
763 views

cms.root.path error after upgrade to 4.7 (Joomla)

I upgraded two installations of CiviCRM 4.6.11 to 4.7 on the same server. Both upgraded fine, but now have the following errors: 1) Systems Settings --> CMS Database integration shows nothing (no ...
Jern's user avatar
  • 1,302
5 votes
3 answers
573 views

Outgoing Mail Settings, CiviSMTP & PHP 5.6.x Problem

After upgrading CiviCRM from 4.3.8 to 4.7.15 on Drupal 7, our outgoing mail is giving an error after sending a test email. I'm on a Debian server running PHP 5.6.x and we use CiviSMTP for our outgoing ...
Christia's user avatar
  • 2,457
5 votes
1 answer
271 views

How to reduce database bloat for faster upgrading?

In order to speed up slow upgrades, experienced folk (1 2) recommend reducing the size of the database to facilitate testing. What is the best way to declutter the database?
ErichBSchulz's user avatar
  • 1,571
5 votes
2 answers
127 views

cannot select profile for online event registration after upgrading civi on Joomla

I've just upgraded CIVI on Joomla 3.4.1 from CiviCRM 4.5.3 to CiviCRM 4.6.9 and find that I can no longer select profiles to use for online event registrations when setting up an event. I also find ...
Dave Florence's user avatar
5 votes
3 answers
770 views

How can I update CiviCRM installed with Drupal 8 using Composer?

I've got CiviCRM installed and working with Drupal 8 using Composer via https://gitlab.com/roundearth/drupal-civicrm-project What I'm not clear on is how best to update CiviCRM using Composer. Is it ...
Graham's user avatar
  • 4,105
5 votes
1 answer
488 views

System Status page empty and status remains 'critical' after updating from 4.7.8 to 4.7.11 on Drupal 6

This is a Drual 6 site with internationalization enabled for CiviCRM. There are no extensions installed. Site was updated from 4.7.8 to 4.7.11. After running the db update script, the System Status ...
freeform.steph's user avatar
5 votes
1 answer
778 views

Can I upgrade a drupal 7 + civi site to drupal 8?

There is maybe a simpler path but this worked for me. Documenting this here since I don't know where else to put it.
Demerit's user avatar
  • 23.7k
4 votes
1 answer
185 views

Upgrade fails with CiviCRM_API3_Exception: "API error: Could not delete payment processor type"

In upgrading to 5.20+ an error occured while running the database Case upgrade scripts. Deletion Error There is a Payment Processor associated with selected Payment Processor type, hence it can not ...
G H's user avatar
  • 1,146
4 votes
1 answer
143 views

ERROR Class 'CRM_Search_Upgrader' not found since upgrading CiviCRM to 5.45.1 on Wordpress 5.8.3

I upgraded from CiviCrm 5.38 to 5.45.0 on my staging server which is on Wordpress(5.8.3). I get a Error Thrown ...Class 'CRM_Search_Upgrader' not found when I access: CiviCRM from the Wordpress Admin ...
markd's user avatar
  • 71
4 votes
2 answers
224 views

Upgrade Fails 4.7.4 - 4.7.6 in WP 4.5.1

We have attempted to upgrade the CiviCRM instance multiple times, but all attempts for that failed with the following error: ALTER TABLE civicrm_mailing_event_queue DROP FOREIGN KEY ...
V3rmie's user avatar
  • 377
3 votes
2 answers
366 views

CiviCRM Upgrade from 4.5beta6 to 4.6.8 - CiviCRM Menu is not displaying/functioning

Stepped upgrade from 4.5beta6 to 4.50 stable to 4.60 to 4.68. Was as beautiful and eventless an upgrade process as I've experienced. Congrats and thank you team. My only QA issue is with the civicrm ...
Derek's user avatar
  • 355
3 votes
3 answers
183 views

How can I speed up a slow upgrade to 4.7?

Upgrades to 4.7 for big CiviCRM databases can take many many hours. What is the best way to speed them up?
ErichBSchulz's user avatar
  • 1,571
2 votes
1 answer
187 views

Unable to access administration links after upgrade to CiviCRM 4.6.10

I have upgraded from CiviCRM 2.5 to 4.6.10. Since the upgrade I cannot go into any of the links in Administer CiviCRM without an error: @import url(/devjom3update/administrator/components/...
lilalynn's user avatar
2 votes
1 answer
262 views

Version 4.7.3: TCPDF package seems to be missing

I recently upgraded to vesion 4.7.3 (I'm running under Wordpress), and for some reason the TCPDF package was missing! This led to the error: "Warning: opendir(/nhldata/631/106631/data/web/...
David Christie's user avatar
2 votes
1 answer
76 views

upgrade of civicrm fails with parse error

I have a wordpress site with the civicrm plugin installed. We are still on 4.6, the latest in that branch. But we wanted to try out the latest version, which is 5.16. I cloned the site and in that ...
ruud's user avatar
  • 289
2 votes
1 answer
165 views

CiviCRM Log Viewer 1.2 not working after upgrade from CiviCRM 4.6 to 4.7

CiviCRM Log Viewer 1.2 not working after upgrade from CiviCRM 4.6 to 4.7, what do I need to change for it to work again? Error message (I took out root dir info) Unable to read entries from logfile ...
Michele Rizack's user avatar
2 votes
4 answers
133 views

CiviCRM Upgrade to 5.60, civicrm_job_log foreign key constraint

During the db upgrade portion of a D7+CiviCRM 5.58.1->5.60.0 upgrade, I'm hitting the error below. Anyone else? Clues? ALTER TABLE civicrm_job_log ADD CONSTRAINT FK_civicrm_job_log_job_id ...
Alan Dixon's user avatar
  • 6,881
2 votes
1 answer
78 views

Upgrade from 5.11.0 to 5.12. failing database update - solution found

I'm failing because mysql doesn't like characters in a city name: UPDATE civicrm_state_province INNER JOIN civicrm_country ON civicrm_state_province.country_id = civicrm_country.id SET ...
Jay Edgar's user avatar
  • 136
2 votes
0 answers
132 views

DB Error after upgrading 4.7.x to 5.1 (Drupal)

After upgrading CiviCRM from v4.7.14 to 5.1 (or v4.7.31) which went seemingly well, CiviCRM encounters the following problem. UPDATE: Issue does not appear until 4.7.29 (including), and comes up only ...
Aivars's user avatar
  • 1,034
1 vote
2 answers
452 views

Upgraded to Joomla 4, now unable to upgrade CiviCRM

After upgrading to Joomla 4.2.6, I am now unable to update CiviCRM current version, 5.54.2. I contacted my CiviCRM hosting company and they were not able to resolve the issue either. The following ...
Keith's user avatar
  • 41
1 vote
2 answers
224 views

Unable to upgrade from version 5.22.1

I've been trying to update CiviCRM from version 5.22.1. I've tried several of the different versions that have been released over the last week, each to no avail. I have put the site in maintenance ...
somnolentsurfer's user avatar
1 vote
2 answers
1k views

What can I do to fix my database that has been partially upgraded?

I have run into this problem on two of my websites that run Civicrm separately. Both are running version 4.5.8. When I run the automatic installer, the update process seems to freeze for an infinite ...
Kayamone A. Sutton Sr.'s user avatar
9 votes
3 answers
258 views

Paypal Interruptus - Wordpress w/ CiviCRM 4.7.1

Wordpress 4.4.2 CiviCRM Just upgraded from 4.6.10 to 4.7.1 last week. Ever since we've upgraded, CiviCRM allows payments to be made via PayPal, but event registrations and membership renewals are now ...
Chris's user avatar
  • 394
7 votes
1 answer
960 views

How do I debug "Could not find valid value for ct" error message

Performed upgrade of Civi 4.4 to 4.6 alongside upgrade of Drupal from version 6 to version 7. The Drupal upgrade went fine, as did the CiviCRM upgrades (i.e. no errors were reported). All dashboards ...
Darren's user avatar
  • 771
7 votes
2 answers
520 views

Upgrade to 5.47.x fails with error: Exception: "API error: DB Error: constraint violation on ReportTemplate.create"

On running an upgrade to 5.47.1 I get the following [Error: Finish core DB updates 5.47.1] Exception: "API error: DB Error: constraint violation on ReportTemplate.create" Partial stacktrace #...
Luke Stewart's user avatar
  • 1,890
6 votes
4 answers
261 views

Mailings - Disabled Next/Test Buttons

New mailings with all required fields and the default responsive template do not enable the Next or Test mailing buttons. As a workaround I can reuse an old mailing and update the fields. The last ...
Sphinges's user avatar
  • 113
6 votes
3 answers
448 views

How can I monitor the progress of a slow upgrade?

CiviCRM upgrades can take a long time. What is the best way of seeing where they are up to?
ErichBSchulz's user avatar
  • 1,571
6 votes
5 answers
355 views

Events 'missing' after upgrade to 4.7.19

On a civi 4.7.19 / joomla 3.70 installation I have problems accessing events after the 4.7.19 ugrade (events worked OK on 4.7.18/3.7.0). I have current events displaying on the front page via the ...
Bryan's user avatar
  • 545
5 votes
5 answers
391 views

Why is CiviCRM Upgrade so Complex?

Upgrading CiviCRM is a painful process (18 steps) : Of course, I admit the necessity to previously backup, put the site offline, disable some Modules, ... But deleting all previous civicrm code ...
Jacques-Marie Moranne's user avatar
5 votes
1 answer
83 views

Monitor ConfigAndLog .log file in real time

I am upgrading the CiviCRM and would like to monitor the current .log file that is in <drupal root>/sites/default/files/civicrm/ConfigAndLog/ as it's being updated, in real time. Currently, I ...
Christia's user avatar
  • 2,457
5 votes
3 answers
353 views

Performance Warning: Missing Indices. Mismatched Index Key

Just upgraded to 4.7.23 and am receiving a Performance Warning: Missing Indices. The warning states: The following tables have an index key with a mismatch in value. Please delete the key ...
TML100's user avatar
  • 51
5 votes
3 answers
350 views

Cron error after upgrade to 4.7.1

Upgraded from 4.6.11 to 4.7.1 and now this this error when running /wp-content/plugins/civicrm/civicrm/bin/cron.php Fatal error: Uncaught exception 'Exception' with message 'Function "is_admin()" ...
Eric Rogers's user avatar
4 votes
1 answer
287 views

Cannot edit prefix, suffix, first name or last name of new or existing Individual

After upgrading my CiviCRM to 4.6.4 (& 4.6.6 after that in trying to fix this problem) I cannot see or edit suffix, prefix and first or last name of Individuals on the Contact Screen. Even when ...
stoolhog's user avatar
  • 101
3 votes
1 answer
446 views

How can I fix this problem with duplicate index in 4.7.21?

Upgraded from 4.7.17 to 4.7.21 and got the following message that I don't know how to fix. I don't have drush and the other answers to this problem don't include this index or don't fix this ...
Andy Clark's user avatar
  • 4,855
3 votes
1 answer
252 views

Upgrade db failed for 5:29

I can't upgrade my database schema, I encounter error: Found CiviCRM database version 5.29.alpha1.upgrade. Found CiviCRM code version 5.29.0. Cannot begin upgrade: The database indicates that an ...
loker's user avatar
  • 158
3 votes
3 answers
175 views

Unable to upgrade to 4.7.6

Wordpress 4.5 CiviCRM 4.7.6 I have installed the CiviCRM 4.7.6 plugin and get a message that I need to upgrade the database. When I try the upgrade, get a white screen displayed with the single word "...
Vietyank's user avatar
  • 996
3 votes
2 answers
753 views

CiviCRM Initalization Error: DB Error: extension not found

I've got CiviCRM installed within a WordPress context, and both are updated. The problem is that, with the last update that occurred, I can no longer get to CiviCRM. Instead, I get the following ...
LarryTX's user avatar
  • 33